BasicContentViewerUI

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help.plaf.basic
Class BasicContentViewerUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.help.plaf.HelpContentViewerUI
                  |
                  +--javax.help.plaf.basic.BasicContentViewerUI

All Implemented Interfaces:
  java.util.EventListener, HelpModelListener, javax.swing.event.HyperlinkListener, java.beans.PropertyChangeListener, java.io.Serializable, TextHelpModelListener

public class BasicContentViewerUI
extends HelpContentViewerUI
implements HelpModelListener, TextHelpModelListener, javax.swing.event.HyperlinkListener, java.beans.PropertyChangeListener, java.io.Serializable

The default UI for JHelpContentViewer.

See Also:
  Serialized Form

Constructor Summary
`BasicContentViewerUI(JHelpContentViewer b)`

Method Summary
`static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent x)`
`java.awt.Dimension` | `getMaximumSize(javax.swing.JComponent c)`
`java.awt.Dimension` | `getMinimumSize(javax.swing.JComponent c)`
`java.awt.Dimension` | `getPreferredSize(javax.swing.JComponent c)`
`void` | `highlightsChanged(TextHelpModelEvent e)` Determines if highlights have changed.
`void` | `hyperlinkUpdate(javax.swing.event.HyperlinkEvent e)` Notification of a change relative to a hyperlink.
`void` | `idChanged(HelpModelEvent e)` Tells the listener that the current ID in the HelpModel has changed.
`void` | `installUI(javax.swing.JComponent c)`
`void` | `propertyChange(java.beans.PropertyChangeEvent event)`
`void` | `setEditorKit(java.lang.String type, javax.swing.text.EditorKit kit)`
`void` | `uninstallUI(javax.swing.JComponent c)`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, paint, update`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicContentViewerUI

    public BasicContentViewerUI(JHelpContentViewer b)

Method Detail

### createUI

    public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent x)

### setEditorKit

    public void setEditorKit(java.lang.String type,
                             javax.swing.text.EditorKit kit)

### installUI

    public void installUI(javax.swing.JComponent c)

  Overrides:
    `installUI` in class `javax.swing.plaf.ComponentUI`

### uninstallUI

    public void uninstallUI(javax.swing.JComponent c)

  Overrides:
    `uninstallUI` in class `javax.swing.plaf.ComponentUI`

### getPreferredSize

    public java.awt.Dimension getPreferredSize(javax.swing.JComponent c)

  Overrides:
    `getPreferredSize` in class `javax.swing.plaf.ComponentUI`

### getMinimumSize

    public java.awt.Dimension getMinimumSize(javax.swing.JComponent c)

  Overrides:
    `getMinimumSize` in class `javax.swing.plaf.ComponentUI`

### getMaximumSize

    public java.awt.Dimension getMaximumSize(javax.swing.JComponent c)

  Overrides:
    `getMaximumSize` in class `javax.swing.plaf.ComponentUI`

### idChanged

    public void idChanged(HelpModelEvent e)

  Description copied from interface: `HelpModelListener`
  Tells the listener that the current ID in the HelpModel has changed. All highlights from the previous location change at this point.

  Specified by:
    `idChanged` in interface `HelpModelListener`
  Parameters:
    `e` - The event

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent event)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### hyperlinkUpdate

    public void hyperlinkUpdate(javax.swing.event.HyperlinkEvent e)

  Notification of a change relative to a hyperlink.

  Specified by:
    `hyperlinkUpdate` in interface `javax.swing.event.HyperlinkListener`

### highlightsChanged

    public void highlightsChanged(TextHelpModelEvent e)

  Determines if highlights have changed. Collects all the highlights and marks the presentation.

  Specified by:
    `highlightsChanged` in interface `TextHelpModelListener`
  Parameters:
    `e` - The TextHelpModelEvent.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD